﻿

load('wsoffice');
pushbutton( [TOOLBAR], "scroll  ",{ "process": z_readfromlist }); // pushbutton to call function


function z_readfromlist(){ // function to reading data from list screen and assign it to array
	z_doc  = []; // array to store data
	z_doc1 = []; // array to store data
    z_doc2 = []; // array to store data    
	lfvrow = 1;

    onscreen 'RVKRED01.0120'
		SCROLL_NEXT:;
        enter("/scrolltoline=&V[lfvrow]"); //scroll the list vertically

    onscreen 'RVKRED01.0120'
        enter("/hscrollto=0"); //scroll list horizontally 

     //goes to end of function when end of list-screen is reached
     if(lfvrow >= _listlastvisiblerow){ 
          goto END;
     }

    START:;
    lfvrow = _listfirstvisiblerow;
    llvrow = _listlastvisiblerow;
    z_row = 3;
	
	
	LOOP:;    
    set("V[doc_val]","&#["+z_row+",30]");
    set("V[doc_val1]","&#["+z_row+",72]");
    set("V[doc_val2]","&#["+z_row+",97]");    
	z_doc.push(doc_val); 
    z_doc1.push(doc_val1); 
	z_doc2.push(doc_val2);
	lfvrow = lfvrow+1;  
					
	if(lfvrow <= _listlastvisiblerow){ 	 
		z_row = z_row+1;
		goto LOOP;
    }
    else{ 
		goto SCROLL_NEXT
    }
    
	END:;
    	
	for(i=0;i<z_doc.length;i++){ // display array elements on cornelius output window
         
		println("*******************************************************");
		println("document number at z_doc["+i+"]="+z_doc[i]);
		println("document Name at z_doc["+i+"]="+z_doc1[i]);
		println("document City at z_doc["+i+"]="+z_doc2[i]);
	    println("*******************************************************");
	
	}	
	copy_To_Excel(zdoc,zdoc1,zdoc2)

}


function copy_To_Excel(zdoc,zdoc1,zdoc2)
{
	
	var ExcelApp = new ActiveXObject("Excel.Application");
	var ExcelSheet = new ActiveXObject("Excel.Sheet");	
	ExcelSheet.ActiveSheet.Cells(1,1).Value = "Doccument Number";
	ExcelSheet.ActiveSheet.Cells(1,2).Value = "Name of the Person";
	ExcelSheet.ActiveSheet.Cells(1,3).Value = "City";			
	for(i=2;i<z_doc.length;i++) {		
		ExcelSheet.ActiveSheet.Cells(i,1).Value = z_doc[i];
		ExcelSheet.ActiveSheet.Cells(i,2).Value = z_doc1[i];
		ExcelSheet.ActiveSheet.Cells(i,3).Value = z_doc2[i];		
	}	
	var str = "C:\\LiquidUI\\scripts\\TEST.XLS";		
	var fso = new ActiveXObject("Scripting.FileSystemObject");	
	if(fso.FileExists(str)){      
		message("E:FILE ALREADY EXISTS PLEASE REMOVE OLD FILE");
	} 
	else{      
		ExcelSheet.SaveAs(str);	
		ExcelSheet.Application.Quit();
   
	}   
		
}



